#
# spec file for package kgpg
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kgpg
Version:        15.12.0
Release:        0
Summary:        Encryption Tool
License:        GPL-2.0+
Group:          Productivity/Security
Url:            http://www.kde.org
Source0:        kgpg-%{version}.tar.xz
Patch1:         kgpg-autostart.diff
BuildRequires:  kf5-filesystem
BuildRequires:  libgpgme-devel
BuildRequires:  libkdepimlibs4-devel
BuildRequires:  xz
Requires:       gpg2
Recommends:     kdepim4-runtime
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{kde4_runtime_requires}
%{kde4_pimlibs_requires}

%description
Kgpg is a simple GUI for gpg

%prep
%setup -q -n kgpg-%{version}
%patch1

%build
%cmake_kde4 -d build
%make_jobs

%install
%kde4_makeinstall -C build
%suse_update_desktop_file kgpg Utility Security
# for 13.15+ symlink the servicemenus for plasma5/kf5 too
%if 0%{?suse_version} > 1310
mkdir -p %{buildroot}%{_kf5_servicesdir}/ServiceMenus
pushd %{buildroot}%{_kde4_servicesdir}/ServiceMenus/ > /dev/null
ln -s *.desktop %{buildroot}/%{_kf5_servicesdir}/ServiceMenus/
popd > /dev/null
%endif
%kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%doc %lang(en) %{_kde4_htmldir}/en/kgpg/
%{_datadir}/appdata/
%{_kde4_applicationsdir}/*.desktop
%{_kde4_appsdir}/kgpg/
%{_kde4_bindir}/kgpg
%{_kde4_configkcfgdir}/*.kcfg
%{_kde4_datadir}/autostart/*.desktop
%{_kde4_datadir}/dbus-1/interfaces/*.xml
%{_kde4_iconsdir}/hicolor/*/*/*.png
%{_kde4_servicesdir}/ServiceMenus/*.desktop
%dir %{_kf5_servicesdir}/ServiceMenus/
%{_kf5_servicesdir}/ServiceMenus/*.desktop

%changelog
